## ros-lunar-slime-wrapper 0.4.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(slime_wrapper)
find_package(catkin REQUIRED)
catkin_package()

#############
## Install ##
#############

file(GLOB SLIME_EL_FILES "src/*.el")
file(GLOB SLIME_CONTRIB_EL_FILES "src/contrib/*.el")
file(GLOB SLIME_LIB_EL_FILES "src/lib/*.el")
file(GLOB SLIME_LISP_FILES "src/*.lisp")
file(GLOB SLIME_ASD_FILES "src/*.asd")
file(GLOB SLIME_CONTRIB_LISP_FILES "src/contrib/*.lisp")
file(GLOB SLIME_SWANK_LISP_FILES "src/swank/*.lisp")

install(FILES ${SLIME_EL_FILES}
  DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/emacs/site-lisp/slime)
install(FILES ${SLIME_CONTRIB_EL_FILES}
  DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/emacs/site-lisp/slime/contrib)
install(FILES ${SLIME_LIB_EL_FILES}
  DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/emacs/site-lisp/slime/lib)
install(FILES ${SLIME_LISP_FILES}
  DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/common-lisp/source/slime)
install(FILES ${SLIME_ASD_FILES}
  DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/common-lisp/source/slime)
install(FILES ${SLIME_CONTRIB_LISP_FILES}
  DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/common-lisp/source/slime/contrib)
install(FILES ${SLIME_SWANK_LISP_FILES}
  DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/common-lisp/source/slime/swank)
install(FILES src/ChangeLog
  DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/emacs/site-lisp/slime)
install(FILES src/ChangeLog
  DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/common-lisp/source/slime)

=== debian/changelog ===
ros-lunar-slime-wrapper (0.4.12-0stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Gayane Kazhoyan <kazhoyan@cs.uni-bremen.de>  Fri, 16 Mar 2018 13:24:38 -0000

=== debian/control ===
Source: ros-lunar-slime-wrapper
Section: misc
Priority: extra
Maintainer: Gayane Kazhoyan <kazhoyan@cs.uni-bremen.de>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin
Homepage: http://common-lisp.net/project/slime
Standards-Version: 3.9.2

Package: ros-lunar-slime-wrapper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, emacs
Description: ROS wrapper for slime

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-slime-wrapper//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
